%global momorel 2
%global srcname %{name}-%{version}
%global moz_plugindir %{_libdir}/mozilla/plugins
%global geckover 1.9.1

Summary: VideoLAN - VLC media player
Name: vlc
Version: 1.0.2
Release: %{momorel}m%{?dist}
Group: Applications/Multimedia
License: GPLv2+
URL: http://www.videolan.org/
Source0: ftp://ftp.videolan.org:/pub/videolan/vlc/%{version}/%{srcname}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: a52dec-devel
BuildRequires: autoconf
BuildRequires: automake17
BuildRequires: desktop-file-utils
BuildRequires: faad2-devel >= 2.7
BuildRequires: ffmpeg >= 0.5.1
BuildRequires: gecko-devel-unstable >= %{geckover}
BuildRequires: gnutls-devel >= 2.4.1
BuildRequires: libdvdnav-devel >= 4.1.2
BuildRequires: libdvdread-devel >= 4.1.2
BuildRequires: libid3tag-devel
BuildRequires: libmad
BuildRequires: libmpcdec-devel >= 1.2.6
BuildRequires: libogg-devel 
BuildRequires: libpostproc
BuildRequires: libtool
BuildRequires: libvorbis-devel
BuildRequires: mpeg2dec-devel
BuildRequires: mplayer
#BuildRequires: perl
BuildRequires: speex-devel
BuildRequires: x264-devel >= 0.0.1281
BuildRequires: libdvbpsi-devel
BuildRequires: qt-devel

%description
VideoLAN is a software project, which produces free software for
video, released under the GNU General Public License.

VLC media player is a free cross-platform media player. It supports a
large number of multimedia formats, without the need for additional
codecs. It can also be used as a streaming server, with extended
features (video on demand, on the fly transcoding, ...)

%package plugin
Summary: VLC Media Player plugin for Mozilla compatible web browsers
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}

%description plugin
This package contains a VLC Media Player plugin for Mozilla compatible
web browsers.

%package devel
Summary: header and static libraries for VideoLAN
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
header and static libraries for Video LAN Client

%prep
%setup -q -n %{srcname}

# fix PLUGIN_PATH path for lib64
#%{__perl} -pi -e 's|/lib/vlc|/%{_lib}/vlc|g' vlc-config.in.in configure*
# fix perms issues
#chmod 644 mozilla/control/*
#chmod 644 src/control/log.c
sed -i 's/\r//'  projects/mozilla/control/*

#./bootstrap

%build
export CFLAGS="%{optflags} -fPIC `pkg-config libpostproc --cflags` -I%{_includedir}/nspr4/"
export CXXFLAGS="%{optflags} -fPIC `pkg-config libpostproc --cflags` -I%{_includedir}/nspr4/"

# altivec compiler flags aren't set properly (0.8.2)
%ifarch ppc ppc64
export CFLAGS="$CFLAGS -maltivec -mabi=altivec"
%endif

%configure \
%ifarch %{ix86}
    --disable-sse \
%endif
    --enable-live555 \
    --enable-dvdread \
    --enable-dvdnav \
    --enable-v4l \
    --enable-faad \
    --enable-toolame \
    --enable-aa \
    --enable-ncurses \
    --enable-xosd \
    --enable-goom \
    --enable-mozilla \
    --enable-ffmpeg \
    --disable-pda \
    --enable-libmpeg2

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

# install man files
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/*.1 %{buildroot}%{_mandir}/man1

# fix permission
chmod 755 %{buildroot}%{moz_plugindir}/libvlcplugin.so

# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  --add-category Video \
  --add-category Audio \
  %{buildroot}%{_datadir}/applications/vlc.desktop

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../vlc/vlc48x48.png  %{buildroot}%{_datadir}/pixmaps/vlc.png

# clean up
rm -rf %{buildroot}%{_docdir}/vlc

rm -rf %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_libdir}/mozilla/plugins/*.la

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL MAINTAINERS NEWS README THANKS
%doc doc/*.txt doc/ChangeLog-* doc/*.help doc/*.sgml  doc/skins doc/lirc
%{_bindir}/cvlc
%{_bindir}/nvlc
%{_bindir}/qvlc
%{_bindir}/rvlc
%{_bindir}/svlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_libdir}/*.so.*
%{_libdir}/vlc
%{_datadir}/vlc
%{_datadir}/applications/*.desktop
%{_mandir}/man1/vlc.1*
%{_mandir}/man1/vlc-wrapper.1*
%{_datadir}/pixmaps/vlc.png

%files plugin
%defattr(-,root,root)
%{moz_plugindir}/libvlcplugin.so

%files devel
%defattr(-,root,root)
%doc HACKING doc/win32
%{_includedir}/vlc
%{_libdir}/*.so
%{_mandir}/man1/vlc-config.1*
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Oct 20 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-2m)
- rebuild against x264-0.0.1281-0.20091011

* Thu Oct  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.2-1m)
- [SECURITY] http://www.videolan.org/security/sa0901.html
- update to 1.0.2

* Sat Aug  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.1-1m)
- [SECURITY] http://www.securityfocus.com/archive/1/505284
- update to 1.0.1

* Wed Jul  8 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Tue Jun 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-0.4.4m)
- no src

* Mon Jun 22 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.0-0.4.3m)
- rebuild against ffmpeg-0.5.1-0.20090622

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-0.4.2m)
- build with --disable-sse on i686

* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-0.4.1m)
- [SECURITY] CVE-2009-1045
- update to 1.0.0-rc4
- rebuild against xulrunner-1.9.1

* Wed May  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.9a-2m)
- rebuild against faad2-2.7

* Tue Apr  7 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.9a-1m)
- update to 0.9.9a

* Wed Mar 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.8a-3m)
- rebuild against x264

* Thu Feb 19 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.8a-2m)
- rebuild against x264

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8a-2m)
- rebuild against rpm-4.6

* Sat Dec  6 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8a-1m)
- [SECURITY] CVE-2008-5276
- [SECURITY] http://www.videolan.org/security/sa0811.html
- update to 0.9.8a

* Fri Nov  7 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-1m)
- [SECURITY] CVE-2008-5032 CVE-2008-5036
- [SECURITY] http://www.videolan.org/security/sa0810.html
- update to 0.9.6
- do not ./bootstrap
-- need not replace /lib/vlc

* Fri Nov  7 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.5-3m)
- current vlc do not require wxGTK, do require Qt4

* Sun Oct 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.5-2m)
- rebuild against x264 & ffmpeg

* Sun Oct 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.5-1m)
- [SECURITY] CVE-2008-4654 CVE-2008-4686
- [SECURITY] http://www.videolan.org/security/sa0809.html
- update to 0.9.5

* Sun Oct 12 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.4-1m)
- update 0.9.4

* Sun Oct  5 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.3-1m)
- [SECURITY] CVE-2008-4558
- update 0.9.3

* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2-1m)
- update 0.9.2

* Mon Sep  8 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.1-1m)
- update 0.9.1

* Tue Jul 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6h-3m)
- change BR from libid3tag to libid3tag-devel

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.6h-2m)
- rebuild against gnutls-2.4.1

* Fri Jul  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6h-1m)
- update 0.8.6h

* Thu Jul  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6f-7m)
- [SECURITY] CVE-2008-2430 apply upstream fix

* Mon Jun 23 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.6f-6m)
- update for xulrunner-1.9

* Wed Jun 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6f-5m)
- rebuild against libmpcdec-1.2.6

* Tue Jun 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6f-4m)
- rebuild against libdvdread-4.1.2

* Sat May 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6f-3m)
- build with xulrunner

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6f-2m)
- rebuild against x264

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.6f-1m)
- update to 0.8.6f
- rebuild against firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.6e-3m)
- rebuild against gcc43

* Wed Mar 26 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.6e-2m)
- fix compilation issue with ffmpeg

* Fri Feb 29 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6e-1m)
- update 0.8.6e

* Sun Feb 17 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6d-4m)
- buildReq faad2-devel

* Fri Dec 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6d-3m)
- rebuild against x264-0.0.712-0.20071219

* Wed Dec 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6d-2m)
- rebuild against ffmpeg-0.4.9-0.20071219

* Sun Dec  2 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.6d-1m)
- update to 0.8.6d
- License: GPLv2

* Fri Nov 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6c-5m)
- rebuild against wxGTK-2.8.6

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.6c-4m)
- rebuild against libvorbis-1.2.0-1m

* Sun Jul  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6c-3m)
- add %%{_datadir}/pixmaps/vlc.png

* Sun Jul  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6c-2m)
- add a package vlc-plugin based on livna
- see http://pc11.2ch.net/test/read.cgi/linux/1092539027/931, I love 2ch ;)

* Tue Jun 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6c-1m)
- update 0.8.6c

* Wed Apr 25 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.8.6b-1m)
- import to Momonga

* Tue Feb 27 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.8.6a-1m)
- update to 0.8.6a

* Fri May 12 2006 Masayuki SANO <sbfiled_snmsyk@yahoo.co.jp>
- (0.8.5-0.0.1m)
- update to 0.8.5

* Thu Jul 07 2005 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0.8.2-0.0.1m)
- update to 0.8.2

* Tue Nov 09 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0.8.0-0.0.1m)
- update to 0.8.0
- now wxWidgets frontend is default and qt,gtk,gnome,kde frontend are removed in upstream
- ffmpeg supprot is disabled because it requires latest preversion of ffmpeg

* Thu Jan  8 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0.7.0-0.0.2m)
- add kde, qt, gnome front-end

* Thu Jan  8 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0.7.0-0.0.1m)
- build for Momonga
- --disable-libmpeg2 since it needs libmpeg2 (http://libmpeg2.sf.net/)
